﻿namespace ElementCounter
{
    class Program
    {
        public static void Main(string[] args)
        {
            //SortedCollectionWay();
            DictionaryWay();
        }


        public static void SortedCollectionWay()
        {

            int[] numbers = Console.ReadLine()
                                    .Split()
                                    .Select(int.Parse) // Select(word => int.Parse(word))
                                    .ToArray();

            Array.Sort(numbers);

            int highest = numbers[0];
            int highestCount = 1;

            int last = numbers[0];
            int lastCount = 1;

            for (int i = 1; i < numbers.Length; i++)
            {
                int current = numbers[i];
                if (current == last)
                {
                    lastCount++;
                }
                else
                {
                    if (lastCount > highestCount)
                    {
                        highestCount = lastCount;
                        highest = last;
                    }

                    last = current;
                    lastCount = 1;
                }
            }
            if (lastCount > highestCount)
            {
                highestCount = lastCount;
                highest = last;
            }

            Console.WriteLine($"{highest} x {highestCount}");
        }

        public static void DictionaryWay()
        {

            int[] numbers = Console.ReadLine()
                                    .Split()
                                    .Select(int.Parse) // Select(word => int.Parse(word))
                                    .ToArray();

            Dictionary<int, int> elementCounts = new Dictionary<int, int>();

            foreach (var number in numbers)
            {
                if (elementCounts.ContainsKey(number))
                {
                    elementCounts[number] += 1;
                }
                else
                {
                    elementCounts.Add(number, 1);
                }
            }

            KeyValuePair<int, int> highestPair = elementCounts
                                                .OrderByDescending(pair => pair.Value)
                                                .First();

            Console.WriteLine($"{highestPair.Key} x {highestPair.Value}");
        }
    }
}